Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.workbench.diagram
Class DiagramEditorHelper

    java.lang.Object
      biouml.workbench.diagram.DiagramEditorHelper

All Implemented Interfaces:
  java.util.EventListener, com.beanexplorer.undo.TransactionListener, ViewEditorHelper

public class DiagramEditorHelper
extends java.lang.Object
implements ViewEditorHelper, com.beanexplorer.undo.TransactionListener

This class is used to provide all neccessary changes and validations in diagram model.

Field Summary
`protected Diagram` | `diagram`
`protected DataCollectionUndoListener` | `diagramChangeListener`
`protected static org.apache.log4j.Category` | `log`
`protected SemanticController` | `semanticController`
`protected ViewEditorPane` | `viewEditor`

Constructor Summary
`DiagramEditorHelper(Diagram diagram)`

Method Summary
`View` | `add(java.lang.Object obj, java.awt.Point location)` Should provides necessary changes in view and model if the view can be resized.
`boolean` | `addEdit(javax.swing.undo.UndoableEdit ue)`
`boolean` | `canAccept(CompositeView composite, View view)`
`void` | `completeTransaction()`
`java.lang.Object` | `createObject(java.lang.Class type, java.awt.Point pt)`
`javax.swing.Action[]` | `getActions()` we can use different selections for different viewes
`protected DataCollection` | `getOrigin(java.awt.Point pt)`
`boolean` | `isResizable(View view)`
`java.awt.Dimension` | `moveView(View view, java.awt.Dimension offset)` Should provides necessary changes in view and model if the view can be moved on the specified offset.
`void` | `register(ViewEditorPane viewEditor)` register this ViewEditorHelper for the specified ViewEditorPane.
`boolean` | `removeView(View view)` Should provides necessary changes in view and model if the view can removed.
`java.awt.Dimension` | `resizeView(View view, java.awt.Dimension size)` Should provides necessary changes in view and model if the view can be resized.
`void` | `startTransaction(com.beanexplorer.undo.TransactionEvent te)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.log4j.Category log

### diagram

    protected Diagram diagram

### semanticController

    protected SemanticController semanticController

### viewEditor

    protected ViewEditorPane viewEditor

### diagramChangeListener

    protected DataCollectionUndoListener diagramChangeListener

Constructor Detail

### DiagramEditorHelper

    public DiagramEditorHelper(Diagram diagram)

Method Detail

### register

    public void register(ViewEditorPane viewEditor)

  Description copied from interface: `ViewEditorHelper`
  register this ViewEditorHelper for the specified ViewEditorPane.

  Specified by:
    `register` in interface `ViewEditorHelper`

### startTransaction

    public void startTransaction(com.beanexplorer.undo.TransactionEvent te)

  Specified by:
    `startTransaction` in interface `com.beanexplorer.undo.TransactionListener`

### completeTransaction

    public void completeTransaction()

  Specified by:
    `completeTransaction` in interface `com.beanexplorer.undo.TransactionListener`

### moveView

    public java.awt.Dimension moveView(View view,
                                       java.awt.Dimension offset)

  Should provides necessary changes in view and model if the view can be moved on the specified offset.

  Specified by:
    `moveView` in interface `ViewEditorHelper`
  Pendung:
    find parent compartment if deepaestActive is not DiagramElement, transaction support and rollback if something break

### resizeView

    public java.awt.Dimension resizeView(View view,
                                         java.awt.Dimension size)

  Should provides necessary changes in view and model if the view can be resized.

  Specified by:
    `resizeView` in interface `ViewEditorHelper`

### canAccept

    public boolean canAccept(CompositeView composite,
                             View view)

  Specified by:
    `canAccept` in interface `ViewEditorHelper`

### isResizable

    public boolean isResizable(View view)

  Specified by:
    `isResizable` in interface `ViewEditorHelper`

### removeView

    public boolean removeView(View view)

  Should provides necessary changes in view and model if the view can removed.

  Specified by:
    `removeView` in interface `ViewEditorHelper`
  Pendung:
    exception processing

### add

    public View add(java.lang.Object obj,
                    java.awt.Point location)

  Should provides necessary changes in view and model if the view can be resized.

  Specified by:
    `add` in interface `ViewEditorHelper`

### addEdit

    public boolean addEdit(javax.swing.undo.UndoableEdit ue)

  Specified by:
    `addEdit` in interface `com.beanexplorer.undo.TransactionListener`

### getOrigin

    protected DataCollection getOrigin(java.awt.Point pt)

### createObject

    public java.lang.Object createObject(java.lang.Class type,
                                         java.awt.Point pt)

  Specified by:
    `createObject` in interface `ViewEditorHelper`

### getActions

    public javax.swing.Action[] getActions()

  Description copied from interface: `ViewEditorHelper`
  we can use different selections for different viewes

  Specified by:
    `getActions` in interface `ViewEditorHelper`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.